# $Revision: 1.12 $, $Date: 2009/04/26 17:20:09 $
# NOTE:
# there's no maintainer for the pecl project, so consider this
# extension dead.
%define		_modname	msession
%define		_status		stable
Summary:	%{_modname} - extension module for PHP
Summary(pl.UTF-8):	%{_modname} - moduł msession dla PHP
Name:		php-pecl-%{_modname}
Version:	1.0
Release:	3
License:	PHP 3.01
Group:		Development/Languages/PHP
# extracted from php-5.1.2 sources as pecl/msession appears to be older
Source0:	%{_modname}.tar.bz2
# Source0-md5:	a256f635be818a7247d7be15061256f0
Patch0:		msession-shared-lib.patch
URL:		http://pecl.php.net/package/msession/
BuildRequires:	phoenix-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Provides:	php(msession)
Obsoletes:	php-msession
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
msession is a high speed session daemon which can run either locally
or remotely. It is designed to provide consistent session management
for a PHP web farm.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
Moduł PHP dodający umożliwiający korzystanie z demona msession. Jest
to demon szybkiej obsługi sesji, który może działać lokalnie lub na
innej maszynie. Służy do zapewniania spójnej obsługi sesji dla farmy
serwerów.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -n %{_modname}
%patch0 -p3

%build
phpize
%configure \
	--with-msession=shared,/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-msession.spec,v $
Revision 1.12  2009/04/26 17:20:09  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.11  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.9  2007/01/04 15:37:40  glen
- typo

Revision 1.8  2007/01/02 19:52:19  glen
- use new php extension related macros

Revision 1.7  2006/12/13 22:53:01  glen
- rel 3 (php 5.2.0)

Revision 1.6  2006/11/26 15:34:25  glen
- rel 2: add Provides: php(%{_modname})

Revision 1.5  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.4  2006/05/04 09:39:28  glen
- add forgotten exclusivearch: x86 only lib

Revision 1.3  2006/05/04 09:18:33  glen
- add shared patch
- take src from php 5.1.2 as pecl/msession appears to be older
- builds, rel 1

Revision 1.2  2006/05/04 01:06:54  glen
- try with cvs snapshot

Revision 1.1  2006/05/04 00:51:06  glen
- not yet released, based on php.spec
